Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class RigidParser

    java.lang.Object
      org.codehaus.groovy.tools.shell.RigidParser

    final class RigidParser

A more rigid parser which catches more syntax errors, but also tends to barf on stuff that is really valid from time to time.

Property Summary
`static java.lang.String` | `SCRIPT_FILENAME`

Method Summary
`ParseStatus` | `parse(java.util.List buffer)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### SCRIPT_FILENAME

    static final java.lang.String SCRIPT_FILENAME

Method Detail

### parse

    ParseStatus parse(java.util.List buffer)

Groovy Documentation